Debian Bug report logs - #280175
kmail: can't decrypt messages in PGP/MIME format

version graph

Package: kmail; Maintainer for kmail is Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>; Source for kmail is src:kdepim.

Reported by: wolfgang <spamfiltered@gmx.net>

Date: Sun, 7 Nov 2004 19:33:03 UTC

Severity: important

Tags: sarge, upstream

Merged with 294984

Found in versions 3.3.0-3, 4:3.3.1-3

Fixed in version 4:3.5.5.dfsg.1-2

Done: Modestas Vainius <geromanas@mailas.com>

Bug is archived. No further changes may be made.

Forwarded to http://bugs.kde.org/show_bug.cgi?id=92619

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#280175; Package kmail. Full text and rfc822 format available.

Acknowledgement sent to wolfgang <spamfiltered@gmx.net>:
New Bug report received and forwarded. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: wolfgang <spamfiltered@gmx.net>
To: submit@bugs.debian.org
Subject: pgp/mime encryption not working in kmail 1.7
Date: Sun, 7 Nov 2004 20:27:36 +0100
Package: kmail
Version: 3.3.0-3

in kmail 3.3.0-3, pgp/mime encryption and decryption are not working properly.

pgp/mime encrypted messages are displayed as

Encrypted message (decryption not possible)
Reason: Crypto plug-in "openpgp" could not decrypt the data.
Error: Falsche Passphrase

Encrypted data not shown.

End of encrypted message

"Falsche Passphrase" means "wrong passphrase".

rightclicking a pgp/mime encrypted message => save attachments works, the 
msg.asc can be decrypted on the command line.

when selecting OpenPGP/MIME as encryption method for a new message, the 
message will be encrypted, but - with "always encrypt to self", i do not get 
prompted for a password. again, the message can only be encrypted on the 
command line, same for the remote recipient.

signing messages / verifying signatures with pgp/mime works.

P.S.: i mailed this before, but without the pseudo headers
Package: kmail
Version: 3.3.0-3
sorry.

best regards,
wolfgang




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#280175; Package kmail. Full text and rfc822 format available.

Acknowledgement sent to Alejandro Exojo <suy@badopi.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 280175@bugs.debian.org (full text, mbox):

From: Alejandro Exojo <suy@badopi.org>
To: wolfgang <spamfiltered@gmx.net>, 280175@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#280175: pgp/mime encryption not working in kmail 1.7
Date: Mon, 8 Nov 2004 09:32:15 +0100
package kmail
tags 280175 unreproducible
stop

El Domingo, 7 de Noviembre de 2004 20:27, wolfgang escribió:
> in kmail 3.3.0-3, pgp/mime encryption and decryption are not working
> properly.

Here is working perfectly. Have you followed the steps that says this page? 
How you have configured kmail?

http://kmail.kde.org/kmail-pgpmime-howto.html

> pgp/mime encrypted messages are displayed as
>
> Encrypted message (decryption not possible)
> Reason: Crypto plug-in "openpgp" could not decrypt the data.
> Error: Falsche Passphrase

OpenPGP seems the old inline way, and in my kmail, is marked as obsolete.

> when selecting OpenPGP/MIME as encryption method for a new message, the

Well, OpenPGP/MIME is not the same than just Openpgp :-)

> message will be encrypted, but - with "always encrypt to self", i do not
> get prompted for a password. again, the message can only be encrypted on
> the command line, same for the remote recipient.
>
> signing messages / verifying signatures with pgp/mime works.

Only signing and decrypting messages requires your private key, so is the only 
moment you will be asked for a passphrase, IIRC.

-- 
Alex (a.k.a. suy) - GPG ID 0x0B8B0BC2
http://darkshines.net/ - Jabber ID: suy@bulmalug.net



Tags added: unreproducible Request was from Alejandro Exojo <suy@badopi.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#280175; Package kmail. Full text and rfc822 format available.

Acknowledgement sent to EikeSauer@t-online.de (Eike Sauer):
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #17 received at 280175@bugs.debian.org (full text, mbox):

From: EikeSauer@t-online.de (Eike Sauer)
To: Debian Bug Tracking System <280175@bugs.debian.org>
Subject: kmail: KMail ceased to bea able to decrypt it's own messages without gpgagent
Date: Sun, 16 Jan 2005 18:34:17 +0100
Package: kmail
Version: 4:3.3.1-3
Followup-For: Bug #280175

It seems KMail is no longer able to decrypt mails encrypted by KMail
(At least that's the result I'm getting.) without installing gpgagent
(wich AFAICS is not contained in Debian). I consider this a serious bug.

See http://bugs.kde.org/show_bug.cgi?id=92619

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (500, 'testing'), (50, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.7
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)

Versions of packages kmail depends on:
ii  kdelibs4                 4:3.3.1-4       KDE core libraries
ii  libc6                    2.3.2.ds1-20    GNU C Library: Shared libraries an
ii  libgcc1                  1:3.4.3-6       GCC support library
ii  libice6                  4.3.0.dfsg.1-10 Inter-Client Exchange library
ii  libkcal2                 4:3.3.1-3       KDE calendaring library
ii  libkdenetwork2           4:3.3.1-3       KDE Network library
ii  libkdepim1               4:3.3.1-3       KDE PIM library
ii  libkleopatra0a           4:3.3.1-3       KDE GnuPG interface libraries
ii  libkpimidentities1       4:3.3.1-3       KDE PIM user identity information 
ii  libksieve0               4:3.3.1-3       KDE mail/news message filtering li
ii  libmimelib1a             4:3.3.1-3       KDE mime library
ii  libpng12-0               1.2.8rel-1      PNG library - runtime
ii  libqt3c102-mt            3:3.3.3-7       Qt GUI Library (Threaded runtime v
ii  libsm6                   4.3.0.dfsg.1-10 X Window System Session Management
ii  libstdc++5               1:3.3.5-5       The GNU Standard C++ Library v3
ii  libx11-6                 4.3.0.dfsg.1-10 X Window System protocol client li
ii  libxext6                 4.3.0.dfsg.1-10 X Window System miscellaneous exte
ii  perl                     5.8.4-5         Larry Wall's Practical Extraction 
ii  xlibs                    4.3.0.dfsg.1-10 X Keyboard Extension (XKB) configu
ii  zlib1g                   1:1.2.2-3       compression library - runtime

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#280175; Package kmail. Full text and rfc822 format available.

Acknowledgement sent to Matt Clauson <mec@dotorg.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #22 received at 280175@bugs.debian.org (full text, mbox):

From: Matt Clauson <mec@dotorg.org>
To: 280175@bugs.debian.org
Subject: kmail refuses to decrypt OpenPGP/MIME without gpg-agent
Date: Tue, 18 Jan 2005 19:19:31 -0700
Reading the thread in the KDE bugtracker, it appears the upstream 
maintainers wish to force us to use the 1.9 branch of OpenPGP, which is 
tagged by the OpenPGP upstream as development/beta code.  Furthermore, 
that code isn't currently included in Debian.  This presents a serious 
problem for this package.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#280175; Package kmail. Full text and rfc822 format available.

Acknowledgement sent to Matt Clauson <mec@dotorg.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #27 received at 280175@bugs.debian.org (full text, mbox):

From: Matt Clauson <mec@dotorg.org>
To: 280175@bugs.debian.org
Subject: further Kmail/SMIME/Crypto commentary...
Date: Wed, 19 Jan 2005 09:51:03 -0700
[Message part 1 (text/plain, inline)]
Further commentary:  this looks like it may be an aegypten problem, and 
not directly in kmail -- I see this issue being specifically tracked in 
the aegypten-II bugtracker (lost the URL, sorry).

Furthermore, the S/MIME howto no longer works properly -- the codebases 
in that howto require a version of libassuan not currently in debian 
(even unstable) requiring a manual build of (now) 3 packages 
(libassuan, libksba, and gnupg-1.9.x) to make this work.  This makes 
Kmail crypto in Debian increasingly unworkable.

I've not seen any ITPs for gnupg-1.9.x (or at least the gpg-agent part 
of the package) recently, which would push towards resolving this 
issue.  Whether or not packaging "beta code" would be a Good Idea is 
something that might want to be addressed.

Managing this issue for people who can't or don't want to use gpg-agent 
as part of their crypto setup should probably be strong addressed with 
the (Kmail upstream), as well as their wish to force downstream users 
to use beta/non-production code from a utility that they require.

Personally, for me as a user, this kind of a bug would be a show-stopper 
in a heavy production environment.  Having to rebuild 3 packages to get 
properly functioning crypto in my MUA is absolutely unacceptable.  
Likewise is having to use a development code base for a 
security-sensitive application like GnuPG.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#280175; Package kmail. Full text and rfc822 format available.

Acknowledgement sent to 280175@bugs.debian.org, Adeodato Simó <asp16@alu.ua.es>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #32 received at 280175@bugs.debian.org (full text, mbox):

From: Adeodato Simó <asp16@alu.ua.es>
To: Matt Clauson <mec@dotorg.org>, 280175@bugs.debian.org
Subject: Re: kmail refuses to decrypt OpenPGP/MIME without gpg-agent
Date: Thu, 20 Jan 2005 03:33:33 +0100
> Reading the thread in the KDE bugtracker, it appears the upstream 
> maintainers wish to force us to use the 1.9 branch of OpenPGP, which is 
> tagged by the OpenPGP upstream as development/beta code. 

  gpg2 is beta code. I think gnupg-agent and gpgsm is considered stable.

> Furthermore, that code isn't currently included in Debian. 

  See below.

> This presents a serious problem for this package.

  To some extent, yes.

> Furthermore, the S/MIME howto no longer works properly -- the codebases 
> in that howto require a version of libassuan not currently in debian 
> (even unstable) requiring a manual build of (now) 3 packages 
> (libassuan, libksba, and gnupg-1.9.x) to make this work.  This makes 
> Kmail crypto in Debian increasingly unworkable.

  Uhm, I haven't read the howto lately, but I believe that the single
  packages not in Debian and which are needed are:

    gpgsm
    gnupg-agent

  Last time I checked, all other libraries and auxiliary programs (e.g.,
  pinentry), were in the archive.

> I've not seen any ITPs for gnupg-1.9.x (or at least the gpg-agent part 
> of the package) recently, which would push towards resolving this 
> issue. 

  http://developer.skolelinux.no/~pere/debian-NEW.html. That is the list
  of NEW packages waiting for ftpmaster approval. gnupg2, which provides
  the two mentioned above, is ready since 2004-09-29.

> Whether or not packaging "beta code" would be a Good Idea is something
> that might want to be addressed.

  See the first sentence of this mail.

> Managing this issue for people who can't or don't want to use gpg-agent 
> as part of their crypto setup should probably be strong addressed with 
> the (Kmail upstream),

  Indeed. There is nothing Debian can do about that.

> as well as their wish to force downstream users to use
> beta/non-production code from a utility that they require.

  See the first sentence of this mail.

> Personally, for me as a user, this kind of a bug would be a show-stopper 
> in a heavy production environment.  Having to rebuild 3 packages to get 
> properly functioning crypto in my MUA is absolutely unacceptable.  

  All you need from outside Debian (but see the NEW list above) should be:

    http://smurf.noris.de/code/debian/experimental/i386/gpgsm_1.9.11+cvs20040924-5_i386.deb
    http://smurf.noris.de/code/debian/experimental/i386/gnupg-agent_1.9.11+cvs20040924-5_i386.deb

  And perhaps you can even get rid of gnupg-agent (see comment #17 in
  the upstream bug report).

  Note that such binary packages are provided by a well known DD.

  Cheers,

-- 
Adeodato Simó
    EM: asp16 [ykwim] alu.ua.es | PK: DA6AE621
 
The easy way is the wrong way, and the hard way is the stupid way. Pick one.




Tags removed: unreproducible Request was from Adeodato Simó <asp16@alu.ua.es> to control@bugs.debian.org. Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to http://bugs.kde.org/92619. Request was from Adeodato Simó <asp16@alu.ua.es> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `important'. Request was from Adeodato Simó <asp16@alu.ua.es> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Adeodato Simó <asp16@alu.ua.es> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 280175 294984. Request was from Adeodato Simó <asp16@alu.ua.es> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#280175; Package kmail. Full text and rfc822 format available.

Acknowledgement sent to Erik Schanze <schanzi_@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #47 received at 280175@bugs.debian.org (full text, mbox):

From: Erik Schanze <schanzi_@gmx.de>
To: 280175@bugs.debian.org
Cc: schanzi_@gmx.de
Subject: Current status of GPG in KMail
Date: Thu, 10 Mar 2005 19:26:35 +0100
[Message part 1 (text/plain, inline)]
Hello!

[Please let me on CC, I'm offlist.]

We still have no working GPG support for KMail in sarge, because there is no 
gpg-agent in main (Bug 280175 is still open for 4 months). 
We sould fix this, before sarge will be released, a forward is not the 
solution here.

A known solution is to get the newpg package from inofficial source, but this 
shouldn't be the final solution for sarge, should it? This security related 
program should come from the archive and be under the eyes of the security 
team, I think.

First way to get gnupg package >=1.9 ready for sarge seems not possible for 
the short term, but we can include a package which provide gpg-agent and 
gpgsm for sarge.
After gnupg is ready we could remove it.

Unfortunately the ITP #187548 for newpg was closed last summer.

KMail is widely used, so a release without GPG support will be suboptimal.


Kindly regards,
Erik


-- 
 www.ErikSchanze.de *********************************************
 Bitte keine HTML-E-Mails! No HTML mails, please! Limit: 100 kB *
      * Linux-Info-Tag in Dresden, am 29. Oktober 2005          *
             Info: http://www.linux-info-tag.de                 *
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#280175; Package kmail. Full text and rfc822 format available.

Acknowledgement sent to Pierre Habouzit <pierre.habouzit@m4x.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #52 received at 280175@bugs.debian.org (full text, mbox):

From: Pierre Habouzit <pierre.habouzit@m4x.org>
To: debian-qt-kde@lists.debian.org, Erik Schanze <schanzi_@gmx.de>, 280175@bugs.debian.org
Subject: Re: Bug#280175: Current status of GPG in KMail
Date: Thu, 10 Mar 2005 20:08:43 +0100
[Message part 1 (text/plain, inline)]
Le Jeu 10 Mars 2005 19:26, Erik Schanze a écrit :
> Hello!
>
> [Please let me on CC, I'm offlist.]
>
> We still have no working GPG support for KMail in sarge, because
> there is no gpg-agent in main (Bug 280175 is still open for 4
> months).
> We sould fix this, before sarge will be released, a forward is not
> the solution here.

the problem is not ours, please read 280175 carefully again.
gpg situation is a NEW queue problem, and is not our fault.

btw, I have kmail + gpg working without anything that isn't in debian :

[habouzit amaretto] dpkg --get-selections|grep pg
gnupg                                           install
kgpg                                            install
libgpg-error-dev                                install
libgpg-error0                                   install
libgpgme11                                      install
libgpgme11-dev                                  install

The only "problem" is that my passphrase is not saved.
-- 
·O·  Pierre Habouzit
··O
OOO                                                http://www.madism.org
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#280175; Package kmail. Full text and rfc822 format available.

Acknowledgement sent to 280175@bugs.debian.org, Adeodato Simó <asp16@alu.ua.es>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #57 received at 280175@bugs.debian.org (full text, mbox):

From: Adeodato Simó <asp16@alu.ua.es>
To: Pierre Habouzit <pierre.habouzit@m4x.org>
Cc: 280175@bugs.debian.org
Subject: Re: Bug#280175: Current status of GPG in KMail
Date: Thu, 10 Mar 2005 20:19:29 +0100
* Pierre Habouzit [Thu, 10 Mar 2005 20:08:43 +0100]:

> The only "problem" is that my passphrase is not saved.

  And you can't decrypt PGP/MIME encrypted mails. That's serious.

-- 
Adeodato Simó
    EM: asp16 [ykwim] alu.ua.es | PK: DA6AE621
    Listening to: Andrés Calamaro - Time is on my side
 
The reasonable man adapts himself to the world; the unreasonable one
persists in trying to adapt the world to himself.  Therefore all
progress depends on the unreasonable man.
                -- George Bernard Shaw




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#280175; Package kmail. Full text and rfc822 format available.

Acknowledgement sent to Erik Schanze <schanzi_@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #62 received at 280175@bugs.debian.org (full text, mbox):

From: Erik Schanze <schanzi_@gmx.de>
To: Pierre Habouzit <pierre.habouzit@m4x.org>
Cc: 280175@bugs.debian.org
Subject: Re: Bug#280175: Current status of GPG in KMail
Date: Thu, 10 Mar 2005 20:52:57 +0100
[Message part 1 (text/plain, inline)]
Hi Pierre!

Thank you for your quick reply.

Pierre Habouzit <pierre.habouzit@m4x.org>:
> Le Jeu 10 Mars 2005 19:26, Erik Schanze a écrit :
> > [Please let me on CC, I'm offlist.]
> >
> > We still have no working GPG support for KMail in sarge, because
> > there is no gpg-agent in main (Bug 280175 is still open for 4
> > months).
> > We sould fix this, before sarge will be released, a forward is not
> > the solution here.
>
> the problem is not ours, please read 280175 carefully again.
>
Yes, not directly, but the situation makes one of your program (KMail) lesser 
useful and on your list are DDs who are able to solve this even though.

> gpg situation is a NEW queue problem, and is not our fault.
>
There isn't any gnupg related package (except usermin-gpg) in
http://qa.debian.org/~anibal/debian-NEW-summary.html

Did I miss something?

OTOH whouldn't it be better to include a little and proved helper like newpg 
instead beta code of gnupg2 into sarge at this time?

> btw, I have kmail + gpg working without anything that isn't in debian :
>
> [habouzit amaretto] dpkg --get-selections|grep pg
> gnupg                                           install
> kgpg                                            install
> libgpg-error-dev                                install
> libgpg-error0                                   install
> libgpgme11                                      install
> libgpgme11-dev                                  install
>
Interesting. I installed the same packages. But it doesn't work.
Is there any documentation about this configuration available? Everything what 
I found based on gpg-agent.

Perhaps it would be also useful for others to add a description to this 
bugreport, please. 

> The only "problem" is that my passphrase is not saved.
>
Not nice, but acceptable.


Kindly regards,

Erik


-- 
 www.ErikSchanze.de *********************************************
 Bitte keine HTML-E-Mails! No HTML mails, please! Limit: 100 kB *
      * Linux-Info-Tag in Dresden, am 29. Oktober 2005          *
             Info: http://www.linux-info-tag.de                 *
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#280175; Package kmail. Full text and rfc822 format available.

Acknowledgement sent to 280175@bugs.debian.org, Adeodato Simó <asp16@alu.ua.es>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #67 received at 280175@bugs.debian.org (full text, mbox):

From: Adeodato Simó <asp16@alu.ua.es>
To: Erik Schanze <schanzi_@gmx.de>, 280175@bugs.debian.org
Subject: Re: Bug#280175: Current status of GPG in KMail
Date: Thu, 10 Mar 2005 21:17:47 +0100
* Erik Schanze [Thu, 10 Mar 2005 20:52:57 +0100]:

> Pierre Habouzit <pierre.habouzit@m4x.org>:
> > gpg situation is a NEW queue problem, and is not our fault.

> There isn't any gnupg related package (except usermin-gpg) in
> http://qa.debian.org/~anibal/debian-NEW-summary.html

> Did I miss something?

  Work is in progress, please be patient. We hope it makes Sarge.

-- 
Adeodato Simó
    EM: asp16 [ykwim] alu.ua.es | PK: DA6AE621
 
The true teacher defends his pupils against his own personal influence.
                -- Amos Bronson Alcott




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#280175; Package kmail. Full text and rfc822 format available.

Acknowledgement sent to debian-kde@lists.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #72 received at 280175@bugs.debian.org (full text, mbox):

From: Adeodato Simó <asp16@alu.ua.es>
To: debian-kde@lists.debian.org, 280175@bugs.debian.org
Cc: 280175-submitter@bugs.debian.org, Eike Sauer <EikeSauer@t-online.de>, Matt Clauson <mec@dotorg.org>, Erik Schanze <schanzi_@gmx.de>
Subject: The KMail PGP/MIME problem solved: gnupg-agent in Debian
Date: Thu, 17 Mar 2005 04:09:00 +0100
Hello all,

  As you may know, KMail in Debian testing/unstable has had the severe
  limitation of not being able to decrypt mail encrypted using the
  PGP/MIME standard, without the help of an external program, namely
  gnupg-agent. As this program was not available from Debian, indeed
  only from external repositories, the situation was far from
  satisfying, for users, maintainers, and upstream. This is Debian Bug
  #280175 and KDE Bug #92619.

  Myself and the other members of the KDE team have repeatedly stated
  that work was in progress, and asked for your patience. I'm happy to
  announce that the 'gnupg-agent' package is available as of today in
  Debian Sid, and hopefully soon from Debian Sarge as well. This will
  make KMail fully functional in the upcoming Debian 3.1 release, which
  is undoubtedly a good thing. For the sake of completeness, gpgsm has
  also been uploaded, which will make the KDE certificate manager,
  kleopatra, functional as well.

  I want to thank you for your understanding during this delay, and also
  to thank the people that have made this possible. I know Debian can be
  slow at times, but we try not to forget the outstanding issues.

  Thanks for reading.

-- 
Adeodato Simó
    EM: asp16 [ykwim] alu.ua.es | PK: DA6AE621
 
A lie can go round the world before the truth has got its boots on.
                -- Terry Pratchett




Message sent on to wolfgang <spamfiltered@gmx.net>:
Bug#280175. Full text and rfc822 format available.

Tags added: sarge Request was from Adeodato Simó <asp16@alu.ua.es> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#280175; Package kmail. Full text and rfc822 format available.

Acknowledgement sent to Anders Ellenshøj Andersen <andersa@ellenshoej.dk>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #82 received at 280175@bugs.debian.org (full text, mbox):

From: Anders Ellenshøj Andersen <andersa@ellenshoej.dk>
To: debian-kde@lists.debian.org, 280175@bugs.debian.org, 280175-submitter@bugs.debian.org, Eike Sauer <EikeSauer@t-online.de>, Matt Clauson <mec@dotorg.org>, Erik Schanze <schanzi_@gmx.de>
Subject: Re: The KMail PGP/MIME problem solved: gnupg-agent in Debian
Date: Thu, 17 Mar 2005 10:47:35 +0100
That's great news! Thanks a lot to all!

Anders

On Thursday 17 March 2005 04:09, Adeodato Simó wrote:
> Hello all,
>
>   As you may know, KMail in Debian testing/unstable has had the severe
>   limitation of not being able to decrypt mail encrypted using the
>   PGP/MIME standard, without the help of an external program, namely
>   gnupg-agent. As this program was not available from Debian, indeed
>   only from external repositories, the situation was far from
>   satisfying, for users, maintainers, and upstream. This is Debian Bug
>   #280175 and KDE Bug #92619.
>
>   Myself and the other members of the KDE team have repeatedly stated
>   that work was in progress, and asked for your patience. I'm happy to
>   announce that the 'gnupg-agent' package is available as of today in
>   Debian Sid, and hopefully soon from Debian Sarge as well. This will
>   make KMail fully functional in the upcoming Debian 3.1 release, which
>   is undoubtedly a good thing. For the sake of completeness, gpgsm has
>   also been uploaded, which will make the KDE certificate manager,
>   kleopatra, functional as well.
>
>   I want to thank you for your understanding during this delay, and also
>   to thank the people that have made this possible. I know Debian can be
>   slow at times, but we try not to forget the outstanding issues.
>
>   Thanks for reading.
>
> --
> Adeodato Simó
>     EM: asp16 [ykwim] alu.ua.es | PK: DA6AE621
>
> A lie can go round the world before the truth has got its boots on.
>                 -- Terry Pratchett

-- 
 - Debian/Unstable - KDE 3.3.2 - KMail 1.7.2 -



Message sent on to wolfgang <spamfiltered@gmx.net>:
Bug#280175. Full text and rfc822 format available.

Forwarded-to-address changed from http://bugs.kde.org/92619 to http://bugs.kde.org/92619. Request was from debian-qt-kde@lists.debian.org to control@bugs.debian.org. Full text and rfc822 format available.

Forwarded-to-address changed from http://bugs.kde.org/92619 to http://bugs.kde.org/92619. Request was from debian-qt-kde@lists.debian.org to control@bugs.debian.org. Full text and rfc822 format available.

Forwarded-to-address changed from http://bugs.kde.org/92619 to http://bugs.kde.org/92619. Request was from madcoder@debian.org to control@bugs.debian.org. Full text and rfc822 format available.

Forwarded-to-address changed from http://bugs.kde.org/92619 to http://bugs.kde.org/92619. Request was from madcoder@debian.org to control@bugs.debian.org. Full text and rfc822 format available.

Forwarded-to-address changed from http://bugs.kde.org/92619 to http://bugs.kde.org/show_bug.cgi?id=92619. Request was from madcoder@debian.org to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from madcoder@debian.org to control@bugs.debian.org. Full text and rfc822 format available.

Forwarded-to-address changed from http://bugs.kde.org/show_bug.cgi?id=92619 to http://bugs.kde.org/show_bug.cgi?id=92619. Request was from madcoder@debian.org to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from madcoder@debian.org to control@bugs.debian.org. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 14:01:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 08:33:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.